Create a payment method

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Static PayNow QR

The Static PayNow QR payment method allows you to assign each user/customer with their own unique PayNow QR code, which accepts an open amount.

ParametersRequired?TypeDescription
referenceIdMandatoryStringThis is used for idempotency and should typically be a "customer id" or "wallet id" on your platform.
bankShortCodeOptionalStringAvailable option: "fazz".
idOptionalStringid is retrieved from the Customer Profile API's response id. Mandatory if you're considered to be in a high-risk industry.

Example of Static PayNow QR payment method request

# POST api/v4/payment_methods/paynow
{
    "data": {
        "attributes": {
            "referenceId": "unique_reference_123",
          	"bankShortCode": "fazz"
        }
    }
}

Example of Static PayNow QR payment method response

# Response: 201 Created
{
    "data": {
        "id": "payment_method_b7fab53a-3c82-4c49-a531-1fd328336165",
        "type": "paynow",
        "attributes": {
            "referenceId": "referencef",
            "instructions": {
                "proxyType": "VPA",
                "proxyValue": "UEN202204250RABC#FAZZ",
                "extEndToEndId": "paynowe3e920791725012345",
                "qrCodeDisplayImage": "iVBORw0KGgoAAAANSUhEUgAAASwAAAEsEAYAAA..."
            }
        }
    }
}

Virtual Account (Unlimited)

The Unlimited Virtual Account (VA) payment method allows you to assign each customer their own unique VA, which accepts an open amount.

ParametersRequired?TypeDescription
referenceIdMandatoryStringThis is used for idempotency and should typically be a "customer id" or "wallet id" on your platform.
idOptionalStringid is retrieved from the Customer Profile API's response id. Mandatory if you're considered to be in a high-risk industry.
bankShortCodeMandatoryStringThe bank code used for creating the virtual account Payment Method. This should clearly identify a bank in the region that you want your customer to make a transfer to. This should usually be the bank that the end-customer will be making a transfer from. Available options: "FAZZ" or "CIMB".

Example of Unlimited VA payment method request.

# POST api/v4/payment_methods/virtual_bank_accounts
{
    "data": {
        "attributes": {
            "referenceId": "unique_refff88",
            "bankShortCode": "fazz"
        }
    }
}

Example of Unlimited VA payment method response.

# Response: 201 Created
{
    "data": {
        "id": "payment_method_c09c2e18-a5de-4e83-866f-af9d2a217810",
        "type": "virtual_bank_account",
        "attributes": {
            "referenceId": "reference001",
            "instructions": {
                "bankShortCode": "FAZZ",
                "bankName": "Xfers Pte Ltd",
                "accountNo": "3443526046970"
            }
        }
    }
}
Path Params
string
required
Defaults to virtual_bank_accounts

The type of payment method. Input either "virtual_bank_accounts" or "paynow".

Body Params
string
required
Defaults to va_reference_id

The referenceId that was used to request for the Payment Method. This is used for idempotency and should typically be a "customer id" or "wallet id" on your platform.

The following character sets are the only acceptable ones:
- Lowercase letters: a-z
- Uppercase letters: A-Z
- Numerals: 0-9
- Special characters: ! # $ % & ' ( ) * + , - . / : ; '= ? @ [ ] ^ _ ` { | } ~
- Space character

string
required
Defaults to Available options: FAZZ or CIMB

The bank code used for creating the virtual account Payment Method. This should clearly identify a bank in the region that you want your customer to make a transfer to. This should usually be the bank that the end-customer will be making a transfer from. Currently, only "CIMB" and "FAZZ" are supported.

string

CustomerProfile id (retrieved from response of CustomerProfile API). Only for merchants in high-risk industries. Refer to the "Customer Profile" section.

Headers
string

application/vnd.api+json

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json